POST api/batchapi/add/begindryingstep

Request Information

URI Parameters

None.

Body Parameters

BatchMedistreamViewModel
NameDescriptionTypeAdditional information
id

globally unique identifier

None.

batch_id

globally unique identifier

Required

medistream_id

globally unique identifier

Required

witness_id

globally unique identifier

Required

compartment

integer

Required

temp_max

decimal number

None.

start_time

date

None.

stop_time

date

None.

Request Formats

application/json, text/json

Sample:
{
  "id": "9285ba2b-e421-4d79-947c-ffa4667f8b65",
  "batch_id": "6564cf6b-8026-4381-ba9f-a2dffce8434d",
  "medistream_id": "2f5cb901-aaaa-42c2-b567-19bba7b1dbe4",
  "witness_id": "a413482c-f438-462a-b413-34e5c03353e9",
  "compartment": 1,
  "temp_max": 1.1,
  "start_time": "2026-09-25T21:07:51.4759441+00:00",
  "stop_time": "2026-09-25T21:07:51.4759441+00:00"
}

application/xml, text/xml

Sample:
<batch_medistream xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <batch_id>6564cf6b-8026-4381-ba9f-a2dffce8434d</batch_id>
  <compartment>1</compartment>
  <id>9285ba2b-e421-4d79-947c-ffa4667f8b65</id>
  <medistream_id>2f5cb901-aaaa-42c2-b567-19bba7b1dbe4</medistream_id>
  <start_time>2026-09-25T21:07:51.4759441+00:00</start_time>
  <stop_time>2026-09-25T21:07:51.4759441+00:00</stop_time>
  <temp_max>1.1</temp_max>
  <witness_id>a413482c-f438-462a-b413-34e5c03353e9</witness_id>
</batch_medistream>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

globally unique identifier

Response Formats

application/json, text/json

Sample:
"156a1e33-8e04-4ecb-b125-7ca756193fe2"

application/xml, text/xml

Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">156a1e33-8e04-4ecb-b125-7ca756193fe2</guid>